org.apache.ignite.events

## Class CheckpointEvent

- java.lang.Object
- - org.apache.ignite.events.EventAdapter
  - - org.apache.ignite.events.CheckpointEvent

- All Implemented Interfaces:
    Serializable, Comparable<Event>, Event

      public class CheckpointEvent
      extends EventAdapter

  Grid checkpoint event.

  Grid events are used for notification about what happens within the grid. Note that by design Ignite keeps all events generated on the local node locally and it provides APIs for performing a distributed queries across multiple nodes:

  - `IgniteEvents.remoteQuery(org.apache.ignite.lang.IgnitePredicate, long, int...)` - asynchronously querying events occurred on the nodes specified, including remote nodes.
  - `IgniteEvents.localQuery(org.apache.ignite.lang.IgnitePredicate, int...)` - querying only local events stored on this local node.
  - `IgniteEvents.localListen(org.apache.ignite.lang.IgnitePredicate, int...)` - listening to local grid events (events from remote nodes not included).
  User can also wait for events using method `IgniteEvents.waitForLocal(org.apache.ignite.lang.IgnitePredicate, int...)`.

  # Events and Performance

  Note that by default all events in Ignite are enabled and therefore generated and stored by whatever event storage SPI is configured. Ignite can and often does generate thousands events per seconds under the load and therefore it creates a significant additional load on the system. If these events are not needed by the application this load is unnecessary and leads to significant performance degradation.

  It is highly recommended to enable only those events that your application logic requires by using `IgniteConfiguration.getIncludeEventTypes()` method in Ignite configuration. Note that certain events are required for Ignite's internal operations and such events will still be generated but not stored by event storage SPI if they are disabled in Ignite configuration.

  See Also:
    `EventType.EVT_CHECKPOINT_LOADED`, `EventType.EVT_CHECKPOINT_REMOVED`, `EventType.EVT_CHECKPOINT_SAVED`, `EventType.EVTS_CHECKPOINT`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckpointEvent()` No-arg constructor.
    `CheckpointEvent(ClusterNode node, String msg, int type, String cpKey)` Creates new checkpoint event with given parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `key()` Gets checkpoint key associated with this event.
    `void` | `key(String cpKey)` Sets checkpoint key.
    `String` | `shortDisplay()` Gets a shortened version of `toString()` result.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.ignite.events.EventAdapter

      `compareTo, equals, hashCode, id, localOrder, message, message, name, node, node, timestamp, type, type`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckpointEvent

          public CheckpointEvent()

      No-arg constructor.

    - #### CheckpointEvent

          public CheckpointEvent(ClusterNode node,
                                 String msg,
                                 int type,
                                 String cpKey)

      Creates new checkpoint event with given parameters.
      Parameters:
        `node` - Local node.
        `msg` - Optional event message.
        `type` - Event type.
        `cpKey` - Checkpoint key associated with this event.

  - ### Method Detail

    - #### shortDisplay

          public String shortDisplay()

      Gets a shortened version of `toString()` result. Suitable for humans to read.
      Specified by:
        `shortDisplay` in interface `Event`
      Overrides:
        `shortDisplay` in class `EventAdapter`
      Returns:
        Shortened version of `toString()` result.

    - #### key

          public String key()

      Gets checkpoint key associated with this event.
      Returns:
        Checkpoint key associated with this event.

    - #### key

          public void key(String cpKey)

      Sets checkpoint key.
      Parameters:
        `cpKey` - Checkpoint key to set.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EventAdapter`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020